curl --request GET \
--url https://api.voucher-staging.allride.io/consumer/v1/billing/invoices/{invoiceId}/lines \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.voucher-staging.allride.io/consumer/v1/billing/invoices/{invoiceId}/lines', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.voucher-staging.allride.io/consumer/v1/billing/invoices/{invoiceId}/lines"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)HttpResponse<String> response = Unirest.get("https://api.voucher-staging.allride.io/consumer/v1/billing/invoices/{invoiceId}/lines")
.header("Authorization", "Bearer <token>")
.asString();package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.voucher-staging.allride.io/consumer/v1/billing/invoices/{invoiceId}/lines"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.voucher-staging.allride.io/consumer/v1/billing/invoices/{invoiceId}/lines",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"data": {
"data": [
{
"id": 190171,
"resource": "invoice-line",
"position": 1,
"lineKind": "redemptions",
"serviceMonth": "2026-10",
"providerPartnerId": 1030,
"providerName": "Acme Scooters",
"voucherSetId": 2030,
"voucherSetName": "Acme Starter Pass",
"tier": null,
"quantity": 12800,
"unitPrice": {
"value": 1000,
"scale": 4,
"label": "€0.10"
},
"netAmount": {
"value": 128000,
"label": "€1,280.00"
},
"taxCategory": "standard",
"taxRate": "19.00",
"description": "Acme Scooters – Acme Starter Pass, redemptions 10/2026",
"_links": {
"self": {
"href": "https://api.voucher.allride.io/consumer/v1/billing/invoices/19017/lines",
"type": "application/json"
}
}
}
],
"page": 1,
"perPage": 25,
"totalPages": 1,
"total": 1
}
}List invoice lines
Lists the lines of a finalised invoice: per provider, voucher set and price (or tier) the quantity, unit price and net amount. See the billing guide.
Required permissions: view-consumer-billing · API keys: allowed
curl --request GET \
--url https://api.voucher-staging.allride.io/consumer/v1/billing/invoices/{invoiceId}/lines \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.voucher-staging.allride.io/consumer/v1/billing/invoices/{invoiceId}/lines', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.voucher-staging.allride.io/consumer/v1/billing/invoices/{invoiceId}/lines"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)HttpResponse<String> response = Unirest.get("https://api.voucher-staging.allride.io/consumer/v1/billing/invoices/{invoiceId}/lines")
.header("Authorization", "Bearer <token>")
.asString();package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.voucher-staging.allride.io/consumer/v1/billing/invoices/{invoiceId}/lines"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.voucher-staging.allride.io/consumer/v1/billing/invoices/{invoiceId}/lines",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"data": {
"data": [
{
"id": 190171,
"resource": "invoice-line",
"position": 1,
"lineKind": "redemptions",
"serviceMonth": "2026-10",
"providerPartnerId": 1030,
"providerName": "Acme Scooters",
"voucherSetId": 2030,
"voucherSetName": "Acme Starter Pass",
"tier": null,
"quantity": 12800,
"unitPrice": {
"value": 1000,
"scale": 4,
"label": "€0.10"
},
"netAmount": {
"value": 128000,
"label": "€1,280.00"
},
"taxCategory": "standard",
"taxRate": "19.00",
"description": "Acme Scooters – Acme Starter Pass, redemptions 10/2026",
"_links": {
"self": {
"href": "https://api.voucher.allride.io/consumer/v1/billing/invoices/19017/lines",
"type": "application/json"
}
}
}
],
"page": 1,
"perPage": 25,
"totalPages": 1,
"total": 1
}
}Authorizations
Your API key in Authorization: Bearer <key>. Use vk_test_… keys against the sandbox and vk_live_… keys against production.
Path Parameters
Id of the invoice. Unsigned 64-bit integer (ids and large counters). May exceed 2^53; parse with a BigInt-safe JSON parser in JavaScript.
0 <= x <= 18446744073709552000Query Parameters
Page number, 1-100,000 (default 1). Outside the range: 400 data-failed-validation with the constraint invalid-page.
1 <= x <= 100000Items per page, 1-100 (default 25). Outside the range: 400 data-failed-validation with the constraint invalid-page.
1 <= x <= 100One sort field; prefix - for descending (sort=field or sort=-field). Allowed: position, netAmount, quantity. Default position. The server appends id as a tie-breaker.
"position"
Line kind (equals).
redemptions, late-redemptions, manual Line kind (one of (comma-separated)). Comma-separated values.
Provider id (equals).
x >= 0Provider id (one of (comma-separated)). Comma-separated values.
Voucher set id (equals).
x >= 0Voucher set id (one of (comma-separated)). Comma-separated values.
Service month (equals).
^\d{4}-\d{2}$Service month (one of (comma-separated)). Comma-separated values.
Response
OK
Page envelope of InvoiceLine items.
The page.
Show child attributes
Show child attributes